.app-search-siri-container{
  //width: 100px;
  canvas{
      width: 100% !important;
  }
}

.search-suggestion{
  overflow-y:auto;
  display: block; 
  position: fixed;
  width: 30rem;
  max-height: 350px;
  background: #242629;
  left: 255px;
  border: 1px solid #383838 !important;
}

.demo-brand {width: 20%;}

@keyframes rotating{
  from{
    transform:rotate(0);
    transform-origin: right bottom;

    -ms-transform: rotate(0);/* IE 9 */
    -ms-transform-origin: right bottom;

    -moz-transform: rotate(0); /* Firefox */
    -moz-transform-origin: right bottom;

    -webkit-transform:rotate(0);
    -webkit-transform-origin: right bottom;

    -o-transform: rotate(0); /* Opera */
    -o-transform-origin:right bottom;
  }
  to{
    transform:rotate(30deg);
    transform-origin: right bottom;

    -ms-transform: rotate(30deg);/* IE 9 */
    -ms-transform-origin: right bottom;

    -moz-transform: rotate(30deg); /* Firefox */
    -moz-transform-origin: right bottom;

    -webkit-transform:rotate(30deg);
    -webkit-transform-origin: right bottom;

    -o-transform: rotate(30deg); /* Opera */
    -o-transform-origin:right bottom;
  }
}

.searching{
  animation:rotating 1s linear alternate infinite
}

.pr-2, .px-2 {
  padding-right: 2rem !important;
}

.bg-navbar-theme .navbar-text{
  color: black;
}
// .profileMenu{
//   left: -70px !important;
// }

// SEARCH BAR
.search-ui
{
width: 50vw;
background: #242629;
border-radius: 25px !important;
// border: 1px solid #383838 !important;
text-indent: 20px;
color: #fff !important;
padding: 0.6rem;
text-transform: none !important;
}


.btn-plain {
  background: none;
  margin: 0 0 0 -5em;
  color: #999b98;
}


.btn-plain:hover  {background: none; border: none;}
.button:focus  {background: none; border: none;}
// SEARCH BAR

.app-search
{
  background: rgba(18, 18, 18, 0.92);
  position: fixed;
  left: 0;
  top: 0;
  width:100%;
  height: 100vh;
  -webkit-box-shadow: 2px 2px 8px #000;
   box-shadow: 2px 2px 8px #000;
}

.app-serch-content {
  padding: 1em !important;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 20%;
}

.app-search-detail {
  display: flex;
  margin: 0px 0px 30px 0px;
  width: 92%;
}

.search-heading {
  width: 90%;
  color: #fff;
  font-size: 1.5em;
}

.search-close {
  text-align: right;
  width: 10%;
  color: rgb(255, 255, 255);
}

.top-search-btn
{

    position: absolute;
    top: 20px;
    right: 20%;
    color: rgb(230, 230, 230);
    font-size: 115%;
    border: none;
    padding: 0.625rem 1.25rem;
    margin: 0 10px 1px 5px;
}

.notification-material
{
  -webkit-box-shadow: 0px 0px 25px 0px rgba(0, 0, 0, 0.5);
    box-shadow: 0px 0px 25px 0px rgba(0, 0, 0, 0.5);
}

.notify-badge {position: absolute;
  background: rgb(0, 164, 214) !important;
border: none;
}
.navbar-icon, .top-search-btn img, .user-icon img,  {width: 24px;}

.search-close img {width: 34px;}
// MEDIA QUERY

@media screen and (min-width: 320px) and (max-width: 415px) {
  .navbar-expand-lg .navbar-search-input .form-control {
    width: 100vw !important;
  }
  
  .demo-brand-name {display: none;}
  .demo-brand {width: auto;}
  .user-material {position: absolute !important; left: -60px !important;}

   .user-material .username-material {
        display: block;
    }
    // .username-material {
    //     display: none;
    // }
    .view-desktop {display: none;} 
    .view-device{display: block;}
  
    .dropdown-behaviour {
      left: auto !important;
      right: 0px !important;
  }

  .notify-panel-mob {
    margin: 0 60px 0 0;
}

  .top-search-btn
  { right: 28%;}

}

@media screen and (min-width: 416px) and (max-width: 684px) {
  .navbar-expand-lg .navbar-search-input .form-control {
    width: 100vw !important;
  }
  .top-search-btn {
  right: 20%;
  }
  .dropdown-behaviour {
    left: auto !important;
    right: 0px !important;
}
.demo-brand {width: auto;}
.user-material {position: absolute !important;}

        .user-material .username-material {
            display: block;
        }
        // .username-material {
        //     display: none;
        // }
        .view-desktop{display: none;} .view-device{display: block;}
      
}

@media screen and (min-width: 685px) and (max-width: 768px) {
  .navbar-expand-lg .navbar-search-input .form-control {
    width: 100vw !important;
  }
  
  .top-search-btn {right: 9.5em !important;}
 
    .user-material {position: absolute !important;}
    .view-desktop{display: none;} .view-device{display: block;}
    .dropdown-behaviour {
      left: auto !important;
      right: 0px !important;
  }
}

@media screen and (min-width: 769px) and (max-width: 991px) {
  .navbar-expand-lg .navbar-search-input .form-control {
    width: 100vw !important;
  }
  
  .dropdown-behaviour {
    left: auto !important;
    right: 0px !important;
}
  
    .user-material {position: absolute !important;}
    .view-desktop{display: none;} .view-device{display: block;}

  

}

@media screen and (max-width: 991px) {
  

   .notify-dropdown {
     position: absolute;
     width: 15rem;
     left: auto !important;
    right: -7em !important;
}

.login-logo {
  // height: 36px;
  max-width: 68px;
}


}


@media screen and (min-width: 992px) {

  .view-desktop{display: block;}
  .view-device{display: none;}
  .app-search {display: none;}

  .top-search-btn {display: none;}
  .notify-panel-mob {display: none;}
}
